Sets value at index.
[:package:](https://www.npmjs.com/package/@extra-array/set-update)
[:smiley_cat:](https://github.com/orgs/nodef/packages?repo_name=extra-array)
[:running:](https://npm.runkit.com/@extra-array/set-update)
[:vhs:](https://asciinema.org/a/332125)
[:moon:](https://www.npmjs.com/package/@extra-array/set-update.min)
[:scroll:](https://unpkg.com/@extra-array/set-update/)
[:newspaper:](https://nodef.github.io/extra-array/)
[:blue_book:](https://github.com/nodef/extra-array/wiki/)

> Alternatives: [set], [set$], [setPath$].<br>
> Similar: [get], [set], [remove].

> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

<br>

```javascript
array.set$(x, i, v);
// x: an array (updated)
// i: index
// v: value
// → x
```

```javascript
const array = require("extra-array");

var x = [2, 4, 6, 8];
array.set$(x, 1, 40);
// [ 2, 40, 6, 8 ]

x;
// [ 2, 40, 6, 8 ]

var x = [2, 4, 6, 8];
array.set$(x, 3, 80);
// [ 2, 4, 6, 80 ]
```

<br>
<br>


## References

- [List-Extra.updateAt: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#updateAt)
- [List.set: Java](https://docs.oracle.com/javase/7/docs/api/java/util/List.html#set(int,%20E))

[set]: https://github.com/nodef/extra-array/wiki/set
[set$]: https://github.com/nodef/extra-array/wiki/set$
[get]: https://github.com/nodef/extra-array/wiki/get
[remove]: https://github.com/nodef/extra-array/wiki/remove
[setPath$]: https://github.com/nodef/extra-array/wiki/setPath$
